## lxd-installer 1

=== Makefile ===
all:
	true
install:
	mkdir -p $(DESTDIR)/sbin $(DESTDIR)/usr/share/lxd-installer
	install -m 0755 scripts/* $(DESTDIR)/sbin
	install -m 0644 lxd-installer-service $(DESTDIR)/usr/share/lxd-installer

=== debian/changelog ===
lxd-installer (1) disco; urgency=medium

  * Initial upload.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 Apr 2019 12:13:30 +1200

## lxd-installer 3

=== debian/changelog ===
lxd-installer (3) noble; urgency=medium

  * update channel selection to ubuntu-VERSION_ID (LP: #2044185)

 -- jchittum <john.chittum@canonical.com>  Wed, 13 Dec 2023 14:32:38 -0600

lxd-installer (2) noble; urgency=medium

  * Pick the proper snap channel (LP: #2043843)
  * Wait for snap bin to be present before continuing (LP: #2039148)
  * Inform the user that LXD snap is being installed (LP: #2039584)

 -- Simon Deziel <simon.deziel@canonical.com>  Fri, 17 Nov 2023 15:36:50 -0500

## lxd-installer 4

=== debian/changelog ===
lxd-installer (4) noble; urgency=medium

  * lxd-installer-service
   - Add new LTS track name (5.21) to be used on Ubuntu 24.04
   - Better handle the (unlikely) case of /etc/os-release being unreadable
  * Add autopkgtest to verify the right track is used by lxd-installer

 -- Simon Deziel <simon.deziel@canonical.com>  Thu, 11 Jan 2024 11:58:15 -0500

=== debian/tests/control ===
Tests: install-on-demand
Depends: @,
         fuse3,  # Workaround https://bugs.launchpad.net/ubuntu/+source/snapd/+bug/2046379
Restrictions: allow-stderr isolation-container needs-root

## lxd-installer 4ubuntu0.1

=== debian/changelog ===
lxd-installer (4ubuntu0.1) noble; urgency=medium

  * scripts/lxc: check if socket is writeable (LP: #2061017)
    - scripts/lxc: give time to snapd to make command available
    - d/tests/not-member-of-lxd-group: new test

 -- Simon Deziel <simon.deziel@canonical.com>  Tue, 07 May 2024 19:33:14 -0400

=== debian/control ===
Source: lxd-installer
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>=11~)
Standards-Version: 4.3.0

Package: lxd-installer
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: lxd
Description: Wrapper to install lxd snap on demand
 Installing this package in an image instead of the lxd snap allows it to be
 smaller whilst preserving the command line interface of the full server image.

=== debian/tests/control ===
Tests: install-on-demand not-member-of-lxd-group
Depends: @,
         fuse3,  # Workaround https://bugs.launchpad.net/ubuntu/+source/snapd/+bug/2046379
Restrictions: allow-stderr isolation-container needs-root

## lxd-installer 7

=== debian/changelog ===
lxd-installer (7) oracular; urgency=medium

  * scripts/lxc: output to stderr only (LP: #2069754)
    - d/tests/install-on-demand: check user notification on stderr
  * Makefile: make `lxd` a symlink to /usr/sbin/lxc
  * d/control: bump standards-version to 4.7.0 (no change required)

 -- Simon Deziel <simon.deziel@canonical.com>  Tue, 18 Jun 2024 11:17:33 -0400

lxd-installer (6) oracular; urgency=medium

  * Makefile: install scripts into /usr/sbin (instead of /sbin)
  * Makefile: make lxd-installer script executable
  * lxd-installer-service: set shell options
  * Install LXD from $LTS/stable/ubuntu-$VERSION as default channel
    (LP: #2067425):
    - lxd-installer-service: use $LTS/stable/ubuntu-$VERSION as default channel
    - d/tests/install-on-demand: update expected channel
  * d/lxd-installer@.service: remove wrapper shell
  * d/lxd-installer.socket: don't start service if /snap/bin/lxd is detected
  * d/tests/*: start lxd-installer.socket after purging LXD snap
  * scripts/lxc: use variable substitution to avoid forking to basename
  * Wait for snapd to be seeded before asking for LXD snap to be installed:
    (LP: #2039148)
    - scripts/lxc: wait for lxd-installer.socket to be present
    - lxd-installer-service: wait for snapd to be seeded
  * d/*: refresh packaging
    - d/control: switch to debhelper-compat 12
    - d/compat: remove now unneeded file
    - d/control: make it explicit that root is not required to build
    - d/control: bump standards-version to 4.5.0 (no change required)

 -- Simon Deziel <simon.deziel@canonical.com>  Tue, 11 Jun 2024 15:18:20 -0400

lxd-installer (5) oracular; urgency=medium

  * scripts/lxc: check if socket is writeable (LP: #2061017)
  * scripts/lxc: give time to snapd to make command available
  * d/tests/control: remove workaround for LP: #2046379
  * d/tests/not-member-of-lxd-group: new test
  * lxd-installer-service: fallback to pulling LXD from default channel
    (LP: #2061910)
  * d/tests/install-on-demand: update fallback case

 -- Simon Deziel <simon.deziel@canonical.com>  Tue, 16 Apr 2024 17:46:08 -0400

=== debian/tests/control ===
Tests: install-on-demand not-member-of-lxd-group
Depends: @
Restrictions: allow-stderr isolation-container needs-root

## lxd-installer 8

=== debian/changelog ===
lxd-installer (8) oracular; urgency=medium

  * scripts/lxc: ask before proceeding if interactive (LP: #2073941, LP: #2080277)

 -- Simon Deziel <simon.deziel@canonical.com>  Tue, 20 Aug 2024 16:56:55 -0400

## lxd-installer 10

=== debian/changelog ===
lxd-installer (10) plucky; urgency=medium

  * d/tests/install-on-demand: expect the current LTS version
  * scripts/lxc: handled unaliased `lxc` command (`lxd.lxc`)
  * d/tests/unaliased-lxc: new test

 -- Simon Deziel <simon.deziel@canonical.com>  Fri, 15 Nov 2024 10:32:39 -0500

lxd-installer (9) plucky; urgency=medium

  * lxd-installer-service: use 5.21/stable for Ubuntu 25.04 too
  * lxd-installer-service: allow sourcing script without installing snap
    (LP: #2086304)
  * d/tests/no-install-on-source: new test
  * scripts/lxc: don't add extra line feed

 -- Simon Deziel <simon.deziel@canonical.com>  Mon, 04 Nov 2024 09:29:34 -0500

=== debian/tests/control ===
Tests: install-on-demand no-install-on-source not-member-of-lxd-group unaliased-lxc
Depends: @
Restrictions: allow-stderr isolation-container needs-root

## lxd-installer 12

=== Makefile ===
all:
	true
install:
	mkdir -p $(DESTDIR)/usr/sbin $(DESTDIR)/usr/share/lxd-installer
	install -m 0755 scripts/lxc $(DESTDIR)/usr/sbin
	ln -sf lxc $(DESTDIR)/usr/sbin/lxd
	install -m 0755 lxd-installer-service $(DESTDIR)/usr/share/lxd-installer

=== debian/changelog ===
lxd-installer (12) plucky; urgency=medium

  * Better cope with LXD snap being disabled (LP: #2104201)
    - scripts/lxc: skip installing if already there
    - d/tests/disabled-snap: new test

 -- Simon Deziel <simon.deziel@canonical.com>  Wed, 26 Mar 2025 13:17:32 -0400

lxd-installer (11) plucky; urgency=medium

  * Better cope with the snapstore not always being available (LP: #2100564)
    - lxd-installer-service: retry failed snap install up to 3 times
    - scripts/lxc: abort quickly on error

 -- Simon Deziel <simon.deziel@canonical.com>  Thu, 27 Feb 2025 18:18:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>=11~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 
 Package: lxd-installer
 Architecture: all

=== debian/tests/control ===
Tests: install-on-demand no-install-on-source not-member-of-lxd-group unaliased-lxc disabled-snap
Depends: @
Restrictions: allow-stderr isolation-container needs-root

## lxd-installer 13ubuntu0

=== debian/changelog ===
lxd-installer (13ubuntu0) questing; urgency=medium

  * lxd-installer-service: use 5.21/stable for Ubuntu 25.10 too

 -- Simon Deziel <simon@sdeziel.info>  Tue, 15 Apr 2025 12:52:29 -0400

## lxd-installer 14ubuntu0

=== debian/changelog ===
lxd-installer (14ubuntu0) resolute; urgency=medium

  * lxd-installer-service: use 6/stable for Ubuntu 26.04
  * d/tests/install-on-demand: update the expected channel for 26.04
  * d/tests/no-install-on-source: update the expected channel for 26.04

 -- Simon Deziel <simon.deziel@canonical.com>  Thu, 04 Dec 2025 17:40:24 -0500
